1. Kiosk Status Webhooks
UCS MiniPOS API - PUBLIC
  • UCS MiniPOS API - PUBLIC
    • MIDserver
      • MiniPOS Invoice API
        • ValidateInvoice
        • New Sales Invoice - Basic
        • New Refund Invoice - Basic
        • New Sales Invoice - Advanced
        • New Sales Invoice + Slip after payment
        • New Non fiscal slip
        • Get Invoice List
        • Get Invoice by ID
    • CRMserver
      • MiniPOS Products API
        • GET Products List
        • GET Product by ID
        • DELETE Product by ID
        • Change Product by ID
        • Create new Product Basic
        • Create new Product Advanced
      • MiniPOS Categories API
        • Create new Category
      • MiniPOS Shift Data API
        • GET shifts
        • GET receipts
  • Kiosk Status Webhooks
    • Receive Kiosk Event
      POST
    • Schemas
      • KioskEvent
  1. Kiosk Status Webhooks

Receive Kiosk Event

POST
/kiosk-events
Endpoint to receive JSON payloads from R-Keeper Kiosk Pro.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
Event received successfully. No content returned.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location '/kiosk-events' \
--header 'Content-Type: application/json' \
--data '{
    "kioskId": "Kiosk_01",
    "stateCode": 200,
    "stateString": "introScreenLoaded",
    "description": ""
}'
Modified at 2026-09-25 06:57:00
Previous
GET receipts
Next
KioskEvent
Built with